Page MenuHomePhabricator

Archive the WikibaseQuality extension
Closed, ResolvedPublic

Description

Reason
[your rationale]

To-do list

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseQualityConstraints : masterRemove last vestiges of WikibaseQuality
integration/config : masterlayout: [WikibaseQuality] Mark as archived
mediawiki/extensions/WikibaseQuality : masterArchive this extension, unused

Event Timeline

Addshore renamed this task from Archive the WikibaseQuality extensions to Archive the WikibaseQuality extension.Sep 21 2018, 8:09 AM
Addshore changed the task status from Open to Stalled.
Addshore created this task.
Addshore changed the status of subtask T205064: Stop loading WikibaseQuality extension on WMF sites from Open to Stalled.
Addshore triaged this task as Medium priority.Sep 21 2018, 8:12 AM
Zoranzoki21 changed the task status from Stalled to Open.Feb 23 2019, 6:58 AM
Zoranzoki21 claimed this task.
Zoranzoki21 added a subscriber: Zoranzoki21.

Blocker is resolved. Reopening task and preparing...

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptFeb 23 2019, 6:58 AM

Can anyone provide template for description?

Dinoguy1000 updated the task description. (Show Details)Feb 23 2019, 11:28 AM
Dinoguy1000 added a subscriber: Dinoguy1000.

Can anyone provide template for description?

Done, though in the future you can copy it from https://phabricator.wikimedia.org/maniphest/task/edit/form/33/

Dinoguy1000 updated the task description. (Show Details)Feb 23 2019, 11:29 AM

Archive Phabricator project Wikibase-Quality for the extension.
Mark all Phabricator tasks for the extension either Declined or Invalid.

Note that most Wikibase-Quality tasks are also tagged Wikibase-Quality-Constraints, and those should not be closed (WikibaseQualityConstraints is the extension that WikibaseQuality was merged into, and is still used).

Dinoguy1000 updated the task description. (Show Details)Mar 2 2019, 1:37 AM

Archive Phabricator project Wikibase-Quality for the extension.
Mark all Phabricator tasks for the extension either Declined or Invalid.

Note that most Wikibase-Quality tasks are also tagged Wikibase-Quality-Constraints, and those should not be closed (WikibaseQualityConstraints is the extension that WikibaseQuality was merged into, and is still used).

There are currently four tasks in the first but not the second:

Presumably all of these should be migrated and the old project closed entirely?

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJul 11 2019, 3:46 PM

Change 522132 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/WikibaseQuality@master] Archive this extension, unsued

https://gerrit.wikimedia.org/r/522132

Change 522134 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] layout: [WikibaseQuality] Mark as archived

https://gerrit.wikimedia.org/r/522134

Change 522132 merged by Jforrester:
[mediawiki/extensions/WikibaseQuality@master] Archive this extension, unused

https://gerrit.wikimedia.org/r/522132

Lucas_Werkmeister_WMDE updated the task description. (Show Details)
Lucas_Werkmeister_WMDE updated the task description. (Show Details)

Change 522134 merged by jenkins-bot:
[integration/config@master] layout: [WikibaseQuality] Mark as archived

https://gerrit.wikimedia.org/r/522134

Mentioned in SAL (#wikimedia-releng) [2019-07-11T17:50:46Z] <James_F> jforrester@doc1001:/srv/docroot/org/wikimedia/doc/cover-extensions$ rm -rf WikibaseQuality/ # T205065

Jdforrester-WMF closed this task as Resolved.Jul 11 2019, 5:51 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF updated the task description. (Show Details)

Change 526152 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove last vestiges of WikibaseQuality

https://gerrit.wikimedia.org/r/526152

Change 526152 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Remove last vestiges of WikibaseQuality

https://gerrit.wikimedia.org/r/526152